Package writer2latex.latex.util

# Class BeforeAfter

java.lang.Object
writer2latex.latex.util.BeforeAfter

public class BeforeAfter extends Object
Utility class to hold LaTeX code to put before/after other LaTeX code

## Constructor Summary

Constructors
Constructor
Description
`BeforeAfter()`
Default constructor: Create with empty strings
`BeforeAfter(String sBefore1, String sAfter1)`
Constructor to initialize the object with a pair of strings

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String sBefore1, String sAfter1)`
Add data to the `BeforeAfter`
`void`
`add(BeforeAfter ba)`
Add the content of another `BeforeAfter` to this `BeforeAfter`
`void`
`enclose(String sBefore1, String sAfter1)`
Add data to the `BeforeAfter`
`String`
`getAfter()`
Get LaTeX code to put after
`String`
`getBefore()`
Get LaTeX code to put before
`boolean`
`isEmpty()`
Check if this `BeforeAfter` contains any data

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeforeAfter

public BeforeAfter(String sBefore1, String sAfter1)
Constructor to initialize the object with a pair of strings

Parameters:
  `sBefore1` - LaTeX code to put before
  `sAfter1` - LaTeX code to put after

### BeforeAfter

public BeforeAfter()
Default constructor: Create with empty strings

## Method Details

### add

public void add(String sBefore1, String sAfter1)

Add data to the `BeforeAfter`

The new data will be be added "inside", thus for example

- `add("\textsf{","}");`
- `add("\textit{","}");`

will create the pair `\textsf{\textit{`, `}}`

Parameters:
  `sBefore1` - LaTeX code to put before
  `sAfter1` - LaTeX code to put after

### enclose

public void enclose(String sBefore1, String sAfter1)

Add data to the `BeforeAfter`

The new data will be be added "outside", thus for example

- `enclose("\textsf{","}");`
- `enclose("\textit{","}");`

will create the pair `\textit{\textsf{`, `}}`

Parameters:
  `sBefore1` - LaTeX code to put before
  `sAfter1` - LaTeX code to put after

### add

public void add(BeforeAfter ba)

Add the content of another `BeforeAfter` to this `BeforeAfter`

The new data will be be added "inside"

Parameters:
  `ba` - the code to add

### getBefore

public String getBefore()
Get LaTeX code to put before

Returns:
  then LaTeX code

### getAfter

public String getAfter()
Get LaTeX code to put after

Returns:
  then LaTeX code

### isEmpty

public boolean isEmpty()
Check if this `BeforeAfter` contains any data

Returns:
  true if there is data in at least one part